%define debug_package %{nil}

Summary:        Python modules for tools development
Name:           kobo
Version:        0.30.1
Release:        1%{?dist}
License:        LGPLv2
URL:            https://github.com/release-engineering/kobo
Source0:        %pypi_source

BuildRequires:  python3-devel python3-setuptools

BuildArch:      noarch

%description
Kobo is a set of python modules designed for rapid tools development.

%package admin
Summary:        Kobo admin script for instant project deployment
Requires:       python3-%{name}-admin

%description admin
Kobo admin provides templates for various kobo-based projects,
incl. CLI, hub client, worker and hub.

%package -n python3-%{name}
Summary:        Python modules for tools development
Requires:       %{py3_dist six}

%description -n python3-%{name}
Kobo is a set of python modules designed for rapid tools development.

%package -n python3-%{name}-django
Summary:        Django components
Requires:       python3-kobo = %{version}-%{release}
Requires:       python3-django python3-setuptools

%description -n python3-%{name}-django
Django components.

%package -n python3-%{name}-client
Summary:        CLI client
Requires:       python3-kobo = %{version}-%{release}
Requires:       python3-requests-gssapi

%description -n python3-%{name}-client
CLI client.

%package -n python3-%{name}-worker
Summary:        Worker daemon processing tasks submitted to the hub
Requires:       python3-kobo = %{version}-%{release}

%description -n python3-%{name}-worker
Worker daemon processing tasks submitted to the hub.

%package -n python3-%{name}-hub
Summary:        Xml-rpc and web interface to a task database
Requires:       python3-kobo = %{version}-%{release}
Requires:       python3-django python3-setuptools gzip

%description -n python3-%{name}-hub
Hub is a xml-rpc and web interface to a task database.

%package -n python3-%{name}-rpmlib
Summary:        Functions to manipulate with RPM files
Requires:       python3-kobo = %{version}-%{release}
Requires:       python3-rpm python3-koji

%description -n python3-%{name}-rpmlib
Rpmlib contains functions to manipulate with RPM files.

%package -n python3-%{name}-admin
Summary:        Kobo admin script for instant project deployment
Requires:       python3-kobo >= %{version}
Requires:       python3-django

%description -n python3-%{name}-admin
Python library for kobo-admin command.


%prep
%autosetup
%py3_shebang_fix kobo/admin/kobo-admin kobo/admin/templates/*/*


%build
%py3_build


%install
rm -rf %{buildroot}/%{_bindir}/kobo-admin
%py3_install

rm -rf %{buildroot}/%{python2_sitelib}/kobo/django
rm -rf %{buildroot}/%{python2_sitelib}/kobo/admin
rm -rf %{buildroot}/%{python2_sitelib}/kobo/hub


%files admin
%{_bindir}/kobo-admin


%files -n python3-%{name}
%license COPYING LICENSE
%doc AUTHORS
%dir %{python3_sitelib}/kobo
%{python3_sitelib}/kobo/*.py*
%{python3_sitelib}/kobo/__pycache__
%exclude %{python3_sitelib}/kobo/rpmlib.py*
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%files -n python3-%{name}-django
%{python3_sitelib}/kobo/django


%files -n python3-%{name}-client
%{python3_sitelib}/kobo/client


%files -n python3-%{name}-worker
%{python3_sitelib}/kobo/worker


%files -n python3-%{name}-hub
%{python3_sitelib}/kobo/hub


%files -n python3-%{name}-rpmlib
%{python3_sitelib}/kobo/rpmlib.py*


%files -n python3-%{name}-admin
%{python3_sitelib}/kobo/admin


%changelog
* Thu Sep 28 2023 cunshunxia <cunshunxia@tencent.com> - 0.30.1-1
- Upgrade to version 0.30.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 Miaojun Dong <zoedong@tencent.com> - 0.8.0-1
- initial build
